/* definitions */
$data-level-list:
	"h1":"h1 - Seitentitel",
	"h2":"h2 - Titel",
	"h3":"h3 - Untertitel",
	"h4":"h4 - Zwischentitel"
;
$data-email-level-list = $data-level-list;

$data-list:
	"":"Auto",
	"title-h1":"Seitentitel",
	"title-h2":"Titel",
	"title-h3":"Untertitel",
	"title-h4":"Zwischentitel"
;
$data-email-list = $data-list;

$data-decoration-list: 
	"": "Auto",
	"title-extra": "Highlighted"
;
$data-email-decoration-list = $data-decoration-list;


.title {
    margin-top: look/$spacing-brick-title-top;
    margin-bottom: look/$spacing-brick-title-bottom;
    
    @PDF {
    	margin-bottom:10pt;
    }
    
	
    &:first-child {
		margin-top: 0;
	}
	
    &:last-child {
		margin-bottom: 0;
	}
	
	&.fe.fe-first-child {
		margin-top: 0;
	}
	&.fe.fe-last-child {
		margin-bottom: 0;
	}
	
}

.title-h1 {
    font-size: look/$font-size-jumbo;
    sv-txt-font: look/$font-a-regular;

    @Mobile {
        font-size: look/$mobile-font-size-jumbo;
    }
    
    @PDF {
    	font-size: 30pt;
    }
}

.title-h2 {
    font-size: look/$font-size-xxl;
    sv-txt-font: look/$font-a-regular;
    
    @Mobile {
        font-size: look/$mobile-font-size-xxl;
    }
    
    @PDF {
    	font-size: 12pt;
    }
}

.title-h3 {
    font-size: look/$font-size-xl;
    sv-txt-font: look/$font-a-light;
    color: colors/$grey2;
    
    @Mobile {
        font-size: look/$mobile-font-size-xl;
    }
    
    @PDF {
    	font-size: 9.5pt;
    	sv-txt-font: look/$font-a-regular;
    	color: colors/$grey1;
    	margin-bottom:0;
    }
}

.title-h4 {
    font-size: look/$font-size-l;
    sv-txt-font: look/$font-a-regular;
    margin-bottom: look/$spacing-brick-title-small-bottom;
    color: colors/$deco1;
    
    @Mobile {
        font-size: look/$mobile-font-size-l;
    }
}

.title-h5 {
    sv-txt-font: look/$font-a-bold;
    margin-bottom: look/$spacing-brick-title-small-bottom;
    
}

.title-h2 + .title-h3 {
    margin-top: -40px;
}

.title-extra {
    sv-txt-font: look/$font-a-bold;
}